Bug Hunting Session
Bug 76239 - OpenSymbol font is not retained after an upgrade (work around in comment 16, 32, .. install log in comment 50 )
Summary: OpenSymbol font is not retained after an upgrade (work around in comment 16, ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.2.1.1 release
Hardware: x86-64 (AMD64) Windows (All)
: highest major
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.1.0 target:5.0.4 target:...
Keywords:
: 77923 78457 78556 78613 80643 80695 83687 84715 85317 86013 86406 86533 86724 86918 87517 93110 94324 94688 94823 94849 94979 95001 95289 95398 95711 95724 95772 95901 95925 96217 96428 96827 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-03-16 20:31 UTC by Chaddaï Fouché
Modified: 2018-11-25 07:41 UTC (History)
38 users (show)

See Also:
Crash report or crash signature:


Attachments
A screenshot showing the problem with the panel and a formula. (96.52 KB, image/jpeg)
2014-03-16 20:31 UTC, Chaddaï Fouché
Details
Partial Screen Shot: Examples in formula editor are badly broken due to wrong font being used (90.94 KB, image/jpeg)
2014-08-13 08:17 UTC, Ulrich Windl
Details
Log of the problematic upgrade (2.50 MB, application/zip)
2014-12-13 00:28 UTC, Jacek Piskozub
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chaddaï Fouché 2014-03-16 20:31:44 UTC
Created attachment 95899 [details]
A screenshot showing the problem with the panel and a formula.

Problem description:
Instead of "+", "/" and so on, I see a symbol for a postcard, a letterbox ... in the viewing area (not in the text UI) and the compositing panel.

Steps to reproduce:
None, I now have these symbols everywhere (that is in Writer and the Formula Editor, every formula has the same problem, even in a docx)

Current behavior:
Strange symbols

Expected behavior:
Mathematical symbols


Note that the fonts are almost all "Times New Roman" (eventually in italic).
              
Operating System: Windows 8
Version: 4.2.1.1 release
Comment 1 Chaddaï Fouché 2014-03-16 20:36:57 UTC
This problem persists after I installed 4.2.3.1 release
Comment 2 Julien Nabet 2014-03-16 21:36:05 UTC
Did you install any specific extensions or fonts?
Could you rename your LO directory profile (see https://wiki.documentfoundation.org/UserProfile#Windows) and give it a new try?
Comment 3 Chaddaï Fouché 2014-03-16 23:11:11 UTC
I tried renaming the user profile (and it was recreated) but it didn't change anything. I installed some fonts but that was ages ago and I didn't have any problem with LO at the time. (and now that I think about it... probably not even on my present computer)
I have the Liberation family, linux libertine and Linux biolinum, is that normal ?
Comment 4 Chaddaï Fouché 2014-03-16 23:12:03 UTC
And I didn't install any extension on this computer.
Comment 5 Julien Nabet 2014-03-17 06:27:21 UTC
Thank you for your feedback. Since I don't have more questions, I put it back to UNCONFIRMED
Comment 6 e_psi 2014-04-24 19:42:40 UTC
It looks like Wingdings is used to render symbols in Unicode-plane latin-1. Enter " + ± * ÷ " in Writer and format with Wingdings. Result are the symbols in the attachment.
Comment 7 js44 2014-04-30 08:51:39 UTC
*** Bug 77923 has been marked as a duplicate of this bug. ***
Comment 8 js44 2014-04-30 08:56:27 UTC
It seems that editor is looking for a some font, which is missing. So the last one (Windings) is used instead. And the final result is UNACCEPTABLE. 

Please see similar bug 77923.
Comment 9 Maxim Monastirsky 2014-05-11 15:10:42 UTC
*** Bug 78556 has been marked as a duplicate of this bug. ***
Comment 10 e_psi 2014-05-15 10:39:59 UTC
*** Bug 78613 has been marked as a duplicate of this bug. ***
Comment 11 ahonx.n21 2014-05-26 15:28:07 UTC Comment hidden (me-too)
Comment 12 ralf.krapf 2014-05-27 05:58:37 UTC Comment hidden (me-too)
Comment 13 Chaddaï Fouché 2014-05-27 15:49:01 UTC
The problems disappeared for me with the installation of the 4.2.4.2 though apparently that's not the case for everyone.
Comment 14 Julien Nabet 2014-05-27 16:39:48 UTC
Thank you Chaddaï for your feedback.

ahonx/ralph: even after having renamed your LO directory profile (see https://wiki.documentfoundation.org/UserProfile)?

e_psi/js44: did you give a try with LO 4.2.4 (and a brand new LO profile)?
Comment 15 js44 2014-05-27 20:43:40 UTC
Yes. This was my first assumption, but it does not help.

I usually change the default font, so I had hope that it will fix my problem. I have checked it on the Linux, and there such problem was not present. I think that my Windows 7 x64 installation have some missing fonts, so it would be nice to know which font is selected for making formulas with those operators.
Comment 16 Maxim Monastirsky 2014-05-27 20:57:09 UTC
(In reply to comment #15)
> so it would be nice to know which font is selected for making formulas with
> those operators.
The font is called "OpenSymbol" (the file name is opens___.ttf). This font should come bundled with LO. So the first step is to check whether you have this font installed.

Sometimes wrong registry entries can also prevent a font loading, so you could try to run some registry cleaner (like CCleaner). Uncheck all checks except the fonts one, repair any found problems, and reboot.
Comment 17 js44 2014-05-28 05:43:03 UTC
I have downloaded OpenSymbol font from:

http://www.fontpalace.com/font-download/OpenSymbol/

Then I have installed them, and it helps. 

Thanks Maxim for the info

For all other people, please check if you have file OpenSymbol.ttf in \Windows\Fonts directory
Comment 18 js44 2014-05-28 06:40:09 UTC
Now I have made little more improvement. I took opens___.ttf from OpenOffice installer *.msi file. My previous comment 17 does not provide all symbols.


To obtain opens___.ttf from msi (adapted from http://thebackroomtech.com/2007/08/23/howto-extract-files-from-a-msi-file-using-the-windows-command-line/)

Run from command line:

msiexec /a LibreOffice_4.2.4_Win_x86.msi /qb TARGETDIR=%USERPROFILE%\testE

After extraction go to %USERPROFILE%\testE\Fonts directory, for example this can be done via next command

explorer %USERPROFILE%\testE\Fonts

Find opens___.ttf file, double click on it and use "Install" button in the font browser.
Comment 19 Maxim Monastirsky 2014-06-30 13:02:41 UTC
*** Bug 80695 has been marked as a duplicate of this bug. ***
Comment 20 ign_christian 2014-07-02 05:30:06 UTC
*** Bug 80643 has been marked as a duplicate of this bug. ***
Comment 21 Ulrich Windl 2014-08-13 08:15:03 UTC
I also discovered the bug in my LibreOffice 4.2.6.2 installation on Windows 7 (64 bit). However another Windows 7 (64 bit) installation with 4.2.6.2 also doesn't show the effect. The difference was this: The first was a new install of some 4.2 release (then updating to the current release) while the other was an update from an earlier version (< 4.2, I don't know the initially installed version, maybe 3.2 or so). Is this issue really resolved, or are there just work-arounds?
Comment 22 Ulrich Windl 2014-08-13 08:17:01 UTC
Created attachment 104546 [details]
Partial Screen Shot: Examples in formula editor are badly broken due to wrong font being used
Comment 23 retired 2014-08-13 10:23:18 UTC
To move this into a useful direction: please test and see if this bug persists with LO 4.3.1: https://www.libreoffice.org/download/pre-releases/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Should the issue be persisting, please
a) set this bug to REOPEN
b) attach a testfile illustrating this issue
Comment 24 Ulrich Windl 2014-08-13 15:33:18 UTC Comment hidden (no-value)
Comment 25 Julien Nabet 2014-08-13 16:40:14 UTC
Andras:  problem of OpenSymbol which wouldn't be on LO Windows install package LO package. One for you?
Comment 26 Maxim Monastirsky 2014-09-11 08:23:15 UTC
*** Bug 83687 has been marked as a duplicate of this bug. ***
Comment 27 Maxim Monastirsky 2014-10-22 09:21:45 UTC
*** Bug 85317 has been marked as a duplicate of this bug. ***
Comment 28 Maxim Monastirsky 2014-11-08 17:25:19 UTC
*** Bug 86013 has been marked as a duplicate of this bug. ***
Comment 29 Ulrich Windl 2014-11-10 07:47:06 UTC
For me the bug vanished after installing LibreOffice_4.2.7_Win_x86.msi.
Comment 30 Mike Kaganski 2014-11-11 22:51:15 UTC
Same problem (missing OpenSymbol -> wrong symbols in formulas and panel) after upgrading 4.2.5.2 to 4.3.3.2 under Win7x64.
Comment 31 Mike Kaganski 2014-11-11 23:24:22 UTC
After extracting msi and checking contents of Fonts subfilder, I see that some fonts are present in my Windows\Fonts, some other are not. I don't know which should have been installed, and cannot check on test system at the moment, so I simply post the list.

1. LO 4.3.3.2 Fonts that are INSTALLED (on my system):
Caladea-Bold.ttf
Caladea-BoldItalic.ttf
Caladea-Italic.ttf
Caladea-Regular.ttf
Carlito-Bold.ttf
Carlito-BoldItalic.ttf
Carlito-Italic.ttf
Carlito-Regular.ttf
LiberationMono-Bold.ttf
LiberationMono-BoldItalic.ttf
LiberationMono-Italic.ttf
LiberationMono-Regular.ttf
LiberationSans-Bold.ttf
LiberationSans-BoldItalic.ttf
LiberationSans-Italic.ttf
LiberationSans-Regular.ttf
LiberationSansNarrow-Bold.ttf
LiberationSansNarrow-BoldItalic.ttf
LiberationSansNarrow-Italic.ttf
LiberationSansNarrow-Regular.ttf
LiberationSerif-Bold.ttf
LiberationSerif-BoldItalic.ttf
LiberationSerif-Italic.ttf
LiberationSerif-Regular.ttf
LinBiolinum_RB_G.ttf
LinBiolinum_RI_G.ttf
LinBiolinum_R_G.ttf
LinLibertine_DR_G.ttf
LinLibertine_RBI_G.ttf
LinLibertine_RB_G.ttf
LinLibertine_RI_G.ttf
LinLibertine_RZI_G.ttf
LinLibertine_RZ_G.ttf
LinLibertine_R_G.ttf
PT_Serif-Web-Bold.ttf
PT_Serif-Web-BoldItalic.ttf
PT_Serif-Web-Italic.ttf
PT_Serif-Web-Regular.ttf
SourceSansPro-Black.ttf
SourceSansPro-BlackIt.ttf
SourceSansPro-Bold.ttf
SourceSansPro-BoldIt.ttf
SourceSansPro-ExtraLight.ttf
SourceSansPro-ExtraLightIt.ttf
SourceSansPro-It.ttf
SourceSansPro-Light.ttf
SourceSansPro-LightIt.ttf
SourceSansPro-Regular.ttf
SourceSansPro-Semibold.ttf
SourceSansPro-SemiboldIt.ttf

2. LO 4.3.3.2 Fonts that are ABSENT (in my system Fonts folser):
DejaVuSans-Bold.ttf
DejaVuSans-BoldOblique.ttf
DejaVuSans-ExtraLight.ttf
DejaVuSans-Oblique.ttf
DejaVuSans.ttf
DejaVuSansCondensed-Bold.ttf
DejaVuSansCondensed-BoldOblique.ttf
DejaVuSansCondensed-Oblique.ttf
DejaVuSansCondensed.ttf
DejaVuSansMono-Bold.ttf
DejaVuSansMono-BoldOblique.ttf
DejaVuSansMono-Oblique.ttf
DejaVuSansMono.ttf
DejaVuSerif-Bold.ttf
DejaVuSerif-BoldItalic.ttf
DejaVuSerif-Italic.ttf
DejaVuSerif.ttf
DejaVuSerifCondensed-Bold.ttf
DejaVuSerifCondensed-BoldItalic.ttf
DejaVuSerifCondensed-Italic.ttf
DejaVuSerifCondensed.ttf
GenBasB.ttf
GenBasBI.ttf
GenBasI.ttf
GenBasR.ttf
GenBkBasB.ttf
GenBkBasBI.ttf
GenBkBasI.ttf
GenBkBasR.ttf
OpenSans-Bold.ttf
OpenSans-BoldItalic.ttf
OpenSans-Italic.ttf
OpenSans-Regular.ttf
opens___.ttf
SourceCodePro-Bold.ttf
SourceCodePro-Regular.ttf

I'm pretty sure no other installed software references these fonts.
Comment 32 grofaty 2014-11-12 07:05:20 UTC
Hi,
I have had the same problem in LibreOffice 4.2.7.2 on Windows 7 and right now I have fixed the problem.

From duplicate bug report: https://bugs.freedesktop.org/show_bug.cgi?id=76239#c17 I got an info how to fix the problem.

Details:
1. Open cmd window and check for font: dir %windir%\Fonts\opens__.ttf
   If "File Not Found" error is returned then it is a missing font.
2. Click on link: http://cgit.freedesktop.org/libreoffice/core/plain/extras/source/truetype/symbol/opens___.ttf and download file.
3. Open Windows Explorer and double click on opens___.ttf file and click on Install button at the top of window.
4. Recheck the command from step 1.
   Note: I got to be honest, I don't know why downloaded ttf file has 3 underscores in file name so opens___.ttf, but installed font in C:\Windows\Fonts has only 2 underscores like opens__.ttf.
   It is strange to me why underscores are used in the first place, to make confusion...

PROBLEM SOLVED in my case.
Hope this helps.
Comment 33 Julien Nabet 2014-11-12 14:16:43 UTC
It's indeed interesting to keep fdo#84715 in See Also since the problem seems similar, perhaps a dup?
Comment 34 Urmas 2014-11-18 06:49:23 UTC
*** Bug 86406 has been marked as a duplicate of this bug. ***
Comment 35 Andras Timar 2014-11-18 10:01:14 UTC
It would be good to have installer logs to see what really happened.

msiexec /i LibreOffice-x.x.x.msi /L*vx log.txt

For me, the bug did not occur in case of 4.2.4 -> 4.2.6 and 4.2.6 -> 4.3.2 upgrades on Windows 7. 

The root of all evil may be this commit:
http://cgit.freedesktop.org/libreoffice/core/commit/?id=0404f37297c4b283972d71c8f53765d9169bdafa
fdo#68194 Font files are left after uninstallation
#i119948# Instruct windows installer to use refcounting on fonts.

The intention was to please Windows 8 App verifier, i.e. an application should not left files after itself after uninstallation. It has side effects. For example, LibreOffice will remove non-refcounted (manually installed) fonts. Maybe this bug is also a side effect of this (but it's hard to understand why).
Comment 36 Maxim Monastirsky 2014-11-27 10:11:31 UTC
*** Bug 86724 has been marked as a duplicate of this bug. ***
Comment 37 tommy27 2014-11-30 20:04:39 UTC
(In reply to Maxim Monastirsky from comment #36)
> *** Bug 86724 has been marked as a duplicate of this bug. ***

this dupe indicates that the issue still affects the 4.3.x branch
I move this bug to the mab4.3 list since 4.2.x is END OF LIFE
Comment 38 Urmas 2014-12-02 14:00:20 UTC
*** Bug 86918 has been marked as a duplicate of this bug. ***
Comment 39 Ricardo 2014-12-09 19:55:10 UTC
I updated my libreoffice from 4.2.6.2 to 4.2.7.2 and this bug appeared exactly as reported as follows:
https://bugs.freedesktop.org/show_bug.cgi?id=80643

I need to install Open Symbol font manually to solve it.
Comment 40 tommy27 2014-12-09 20:01:19 UTC
don't change version field
it should indicate first version the bug appeared, not latest.
Comment 41 fox_yadvfw 2014-12-10 22:52:55 UTC
On my side it's working again with version 4.3.4.1
Comment 42 tommy27 2014-12-11 06:01:34 UTC
please guys, try all to upgrade from 4.2.x to 4.3.x and tell if the issue is fixed in the new branch. if yes we could mark this as RESOLVED WORKSFORME
Comment 43 Mike Kaganski 2014-12-11 09:19:16 UTC
(In reply to tommy27 from comment #42)
> please guys, try all to upgrade from 4.2.x to 4.3.x and tell if the issue is
> fixed in the new branch. if yes we could mark this as RESOLVED WORKSFORME

See comment 30
Comment 44 tommy27 2014-12-11 10:00:06 UTC
thanks Mike.
that was a 4.2.5 to 4.3.3 upgrade.
I wonder if the bug is still present in a 4.2.7 to 4.3.4 upgrade or in a 4.3.x to 4.3.4 upgrade

(In reply to fox_yadvfw from comment #41)
> On my side it's working again with version 4.3.4.1

Fox, which was the old version from which you did the upgrade?
Comment 45 Mike Kaganski 2014-12-11 13:32:51 UTC
IMO, you cannot close it as WFM, just because all subscribers here say that next upgrade didn't show the problem.

It seems that the problem is somehow state-dependent. E.g., I have met it only 4.2.7->4.3.4, while every previous upgrade went smoothly (and upgrading to the same version on several other PCs went OK, too).

And if most people here have installed fonts manually, this could just hide the bug as well.

So, unless the root problem is found, or the bug will stay idle (no new "Me too" comments, no new dupes) for considerable time, it should stay "NEW".
Comment 46 Mike Kaganski 2014-12-11 13:36:29 UTC
*I meant I've met it 4.2.5->4.3.3, of course
Comment 47 tommy27 2014-12-11 14:53:10 UTC
Ok Mike, but do you have the chance to check if the bug persists in a 4.2.7 to 4.3.4 upgrade or in a 4.3.3 to 4.3.4 upgrade ?
Comment 48 Andras Timar 2014-12-11 17:06:54 UTC
This bug is actionable if:
1) Reproducible always, e.g. someone says he sees it when upgraded from 4.2.x to 4.3.y, and he can reproduce it any time he wants, and I can reproduce it too in a clean VM.
-- OR --
2) I get the install logs of a bad update, which I requested in comment 35. 

Any other discussions and comments are useless.
Comment 49 Jacek Piskozub 2014-12-12 23:45:31 UTC
I can provide the requested log. The upgrade was 4.2.8 > 4.3.4. The Open Symbol fonf (and many other) vanished during the upgrade. Formula Editor started showing Wingdings after the update. Exactly, the requested case!

The only problem is the log is too long to attach (5.6 MB, almost twice the allowed limit of 3 MB). I'll try to cut it in half.
Comment 50 Jacek Piskozub 2014-12-12 23:58:29 UTC
I can provide the requested log. The upgrade was 4.2.8 > 4.3.4. The Open Symbol fonf (and many other) vanished during the upgrade. Formula Editor started showing Wingdings after the update. Exactly, the requested case!

The only problem is the log is too long to attach (56 MB, almost twice the allowed limit of 3 MB). I'll try to cut it in half.

EDIT:

Sorry. It is 56 MB, not 5.6 MB. Please tell me how you want the file provided.

For now, I can copy all lines containing the opens___.ttf string

===quote_begin

MSI (s) (5C:E4) [00:10:07:115]: The file represented by File table key 'opens___.ttf' has no eligible binary patches

MSI (s) (5C:E4) [00:10:29:650]: Executing op: FontUnregister(,File=opens___.ttf)
UnregisterFonts: Font: opens___.ttf

MSI (s) (5C:E4) [00:10:48:073]: Executing op: FileRemove(,FileName=opens___.ttf,,ComponentId={7FCE7D67-11E2-83C0-4B06-FF25A52B4273})
RemoveFiles: File: opens___.ttf, Directory: C:\Windows\Fonts\
MSI (s) (5C:E4) [00:10:48:089]: Verifying accessibility of file: opens___.ttf

===quote_end
Comment 51 Jacek Piskozub 2014-12-13 00:08:30 UTC
Sorry, Due to the file cutting I only posted the lines from the uninstalling part. Here is the rest (not much of it:

==begin

MSI (s) (5C:5C) [00:14:05:198]: The file represented by File table key 'opens___.ttf' has no eligible binary patches

MSI (s) (5C:5C) [00:14:48:130]: Executing op: ComponentRegister(ComponentId={13420182-D08A-DA43-9BBC-294BA490732C},KeyPath=C:\Windows\Fonts\opens___.ttf,State=3,,Disk=1,SharedDllRefCount=3,BinaryType=0)
1: {7D983A32-F645-48AB-8E38-4ACD234F40BC} 2: {13420182-D08A-DA43-9BBC-294BA490732C} 3: C:\Windows\Fonts\opens___.ttf 

==end

It seems the file is being registered. However it is never actually installed!
Comment 52 Jacek Piskozub 2014-12-13 00:12:16 UTC
One last morsel. Uninstalling and installing back 4.3.4 WORKS FOR ME. I also have the log of the install, if needed.
Comment 53 Jacek Piskozub 2014-12-13 00:28:02 UTC
Created attachment 110798 [details]
Log of the problematic upgrade

Thanks Mike Kaganski for the (offline) advice of compressing it. It is so obvious that only the hour (1 a.m.) excuses me.

Just for completeness, it is 4.2.8 -> 4.3.4 upgrade on Win 7 32-bits.
Comment 54 Urmas 2014-12-20 09:22:07 UTC
*** Bug 87517 has been marked as a duplicate of this bug. ***
Comment 55 Roger 2015-01-06 23:07:13 UTC
To inform you:
I had solved this bug in my previous version and when I upgraded LO to 4.3.5.2 I have to download and install another time the OpenSimbol.ttf
I have Windows 8.1
Comment 56 V Stuart Foote 2015-02-10 17:39:59 UTC
*** Bug 84715 has been marked as a duplicate of this bug. ***
Comment 57 bugzilla 2015-04-24 14:02:56 UTC
I'm a new LO user and have just been bitten by this bug whilst doing my first upgrade from LO4.4.0.3 to LO4.4.2.2.

It caused much panic when I re-opened documents and found several worrying anomalies:
1) Bullet lists were using the wrong symbols.
2) The second and subsequent lines of (long) bullet points which used auto line-feeds, had about 20% of the bottom of all the characters sliced off when viewed on-screen (although the page printed ok).
3) It was not possible to Left-mouse click into these 2nd+ lines to edit, I had to use the right arrow key from the first line and traverse all the way to the end. Entering any character (even a space) at the end 'fixed' the sliced text.

By viewing the same document on an older install of LO (under Win XP) and comparing with the Win 7, I realised OpenSymbol was missing, 'vanished' during the upgrade. After much searching I found this bug report and manually installing the font as described in Comment 32 has restored functionality. However a proper fix is really required as this type of bug could really put-off a new user and creates a very bad impression.
Comment 58 Regina Henschel 2015-08-06 21:15:43 UTC
*** Bug 93110 has been marked as a duplicate of this bug. ***
Comment 59 bugzilla 2015-08-09 18:35:12 UTC Comment hidden (me-too)
Comment 60 Maxim Monastirsky 2015-08-24 23:08:18 UTC
*** Bug 86533 has been marked as a duplicate of this bug. ***
Comment 61 Maxim Monastirsky 2015-08-24 23:08:38 UTC
*** Bug 78457 has been marked as a duplicate of this bug. ***
Comment 62 Mike Kaganski 2015-09-10 02:06:39 UTC
Updated 4.4 x32 -> 5.0.1.2 x64 under Win7x64.
Met the same problem.

Please note that Bug 93110 suggests that the problem is not limited to upgrade scenario only: it may happen on new install, too.
Comment 63 Mike Kaganski 2015-09-10 04:13:35 UTC
Checked the attachment 110798 [details], and extracted only lines about OpenSymbol font:

>MSI (s) (5C:E4) [00:10:29:650]: Executing op: FontUnregister(,File=opens___.ttf)
>UnregisterFonts: Font: opens___.ttf
>RemoveFiles: File: opens___.ttf, Directory: C:\Windows\Fonts\
>MSI (s) (5C:5C) [00:14:48:130]: Executing op: ComponentRegister(ComponentId={13420182-D08A-DA43-9BBC-294BA490732C},KeyPath=C:\Windows\Fonts\opens___.ttf,State=3,,Disk=1,SharedDllRefCount=3,BinaryType=0)
>1: {7D983A32-F645-48AB-8E38-4ACD234F40BC} 2: {13420182-D08A-DA43-9BBC-294BA490732C} 3: C:\Windows\Fonts\opens___.ttf

You may notice, that the font is unregistered, then its file removed, then the font is registered.
Also, the SharedDllRefCount is reported to be 3.

Can't it be that the unregistering/removal is not dependent on the SharedDllRefCount, but hardcoded, while copying is dependent on SharedDllRefCount, so when there's another program that registers the font, the problem happens?

I'll try to check if the problem is reliably reproducible setting different numbers under HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\SharedDLLs.
Comment 64 Ulrich Windl 2015-09-10 08:41:45 UTC Comment hidden (no-value, off-topic)
Comment 65 Cor Nouws 2015-09-10 08:58:29 UTC
(In reply to Ulrich Windl from comment #64)
> .... If you look at
> the changes to the installer from the last version hat didn't have the
> defect to the first version that has the defect, it should be not too hard
> to find the cause.

I looks as if you are right there. But a huge amount of simple problems may be a problem too. I mean it may be an indication that there is always room for more people to help ;)
Comment 66 Andras Timar 2015-09-10 09:06:42 UTC
(In reply to Ulrich Windl from comment #64)
> I amazes me how difficult solving this problem seems to be: If you look at
> the changes to the installer from the last version hat didn't have the
> defect to the first version that has the defect, it should be not too hard
> to find the cause.

I found the cause, see comment 35. It did not help much. For many users (including me) installer works as intended. I could never reproduce this bug. 
The patch changed an attribute:
-        $attributes = 16;   # font files will not be deinstalled
+        $attributes = 8;    # font files will be deinstalled if the ref count is 0

Mike Kaganski reports in comment 63 that the font file is deinstalled when the ref count is 3. It is a bug, but is it a bug in our code? Maybe not.
Comment 67 Mike Kaganski 2015-09-12 13:28:05 UTC
Can't it have something to do with bitness of Windows?

Under 64-bit Windows, 32-bit components register their Shared DLL refs under HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\Windows\CurrentVersion\SharedDlls, while 64-bit components use HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\SharedDLLs.

When installing a DLL to ProgramFiles or System32, it's generally safe, because 32-bit DLLs go to ProgramFiles(x86) or SysWOW64. But here we have a situation when *the same* location is used for both 32-bit and 64-bit component (assuming there's another application using the same font, but registering it with another bitness).

Can't it be that when uninstalling, only one (32 or 64-bit) registry location is checked, and when installing, both are checked?
Comment 68 bugzilla 2015-09-27 20:30:22 UTC
I've just upgraded from 5.0.1 to 5.0.2.2 and the OpenSymbol font survived (Win7 64bit PC). Hopefully others will find this improvement and confirm the bug has been fixed.

AllanR
Comment 69 Maxim Monastirsky 2015-10-02 07:25:15 UTC
*** Bug 94688 has been marked as a duplicate of this bug. ***
Comment 70 Maxim Monastirsky 2015-10-03 22:21:28 UTC
*** Bug 94324 has been marked as a duplicate of this bug. ***
Comment 71 Maxim Monastirsky 2015-10-07 09:21:43 UTC
*** Bug 94849 has been marked as a duplicate of this bug. ***
Comment 72 Maxim Monastirsky 2015-10-08 16:19:56 UTC
*** Bug 94823 has been marked as a duplicate of this bug. ***
Comment 73 Maxim Monastirsky 2015-10-12 10:46:08 UTC
*** Bug 94979 has been marked as a duplicate of this bug. ***
Comment 74 Maxim Monastirsky 2015-10-13 07:52:08 UTC
*** Bug 95001 has been marked as a duplicate of this bug. ***
Comment 75 Maxim Monastirsky 2015-10-28 22:37:04 UTC
*** Bug 95398 has been marked as a duplicate of this bug. ***
Comment 76 Maxim Monastirsky 2015-10-28 22:37:47 UTC
*** Bug 95289 has been marked as a duplicate of this bug. ***
Comment 77 Maxim Monastirsky 2015-11-09 21:49:11 UTC
*** Bug 95711 has been marked as a duplicate of this bug. ***
Comment 78 Maxim Monastirsky 2015-11-10 10:31:52 UTC
*** Bug 95724 has been marked as a duplicate of this bug. ***
Comment 79 Andras Timar 2015-11-10 12:05:15 UTC
Another interesting WTF line from the log (besides the SharedDLLCount=3):

MSI (c) (78:C4) [00:06:39:834]: Disallowing installation of component: {13420182-D08A-DA43-9BBC-294BA490732C} since the same component with higher versioned keyfile exists

This was the component of opens___.ttf. It is amusing, because AFAIK fonts are not versioned, at least not in the sense as executable files.

I think a brute-force ReinstallMode amus (instead of current omus) would solve the issue. But that's not a good idea, because we use VC++ runtime merge modules, and we may downgrade users' VC++ runtime, if a new hotfix for that comes out from Microsoft. 

So, we need to find out, why the same component with higher versioned keyfile exists.
Comment 80 Ulrich Windl 2015-11-10 13:49:09 UTC
(In reply to Andras Timar from comment #79)
> This was the component of opens___.ttf. It is amusing, because AFAIK fonts
> are not versioned, at least not in the sense as executable files.

Interestingly Windows 7 displays a version number for the OpenSymbol font, namely 102.2. Maybe different versions of this font exist.
Comment 81 Andras Timar 2015-11-10 13:54:51 UTC
(In reply to Ulrich Windl from comment #80)
> Interestingly Windows 7 displays a version number for the OpenSymbol font,
> namely 102.2. Maybe different versions of this font exist.

That is a free-form string, not a version number that we can programmatically extract, unfortunately.

But...
I opened an MSI, which was authored by Microsoft. In that MSI they added a version numbers to font files in File table. So maybe it would make sense to do the same. The only problem, that I have never been able to reproduce this bug, so I need QA's help here. I'll add a fake version to fonts in File table, and let's see, if it helps.
Comment 82 Roman Kuznetsov 2015-11-10 13:58:09 UTC
(In reply to Ulrich Windl from comment #80)
> (In reply to Andras Timar from comment #79)
> > This was the component of opens___.ttf. It is amusing, because AFAIK fonts
> > are not versioned, at least not in the sense as executable files.
> 
> Interestingly Windows 7 displays a version number for the OpenSymbol font,
> namely 102.2. Maybe different versions of this font exist.

maybe yes. see bug 94324. in attach two font OpenSymbol with different size
Comment 83 Maxim Monastirsky 2015-11-10 14:02:01 UTC
(In reply to Ulrich Windl from comment #80)
> Maybe different versions of this font exist.
This font is developed as part of LO. You can see the history of it here:
http://cgit.freedesktop.org/libreoffice/core/log/extras/source/truetype/symbol

(In reply to Andras Timar from comment #81)
> That is a free-form string
I'm pretty sure that ttf has a version field in its header (besides the free-form string).
Comment 84 Commit Notification 2015-11-10 14:03:47 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a322355727368ab087b718d32b70e4a9d9db645d

tdf#76239 fake file version for font files

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 85 Maxim Monastirsky 2015-11-12 15:01:56 UTC
*** Bug 95772 has been marked as a duplicate of this bug. ***
Comment 86 Commit Notification 2015-11-12 21:06:43 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38e24f1d059a6123ea15a68b4b24ca984642d66e

tdf#76239 extract real file version from ttf files

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 87 Andras Timar 2015-11-12 21:15:54 UTC
I tested my patch. 

1. I created a clean Windows 8.1 virtual machine. 

2. I installed LibreOffice 4.4.2 and I upgraded it to LibreOffice 5.1 without my patch. OpenSymbol font (and all other fonts installed by LibreOffice) disappeared. 

3. I removed LibreOffice 5.1, and installed LibreOffice 4.4.2 again. Then I upgraded it to LibreOffice 5.1 with my patch. OpenSymbol font was kept.

4. I bumped the version number to 5.1.0.1, and built LibreOffice again. I upgraded my 5.1.0.0.alpha1+ to 5.1.0.1. Note, that these installers had the same version number for the fonts. OpenSymbol font was kept.

Conclusion: it works. I'll backport my patch to release branches. Please test very carefully, and do not reopen this bug, unless you are perfectly sure that the fix is not working. Check the target version numbers!
Comment 88 Commit Notification 2015-11-17 07:25:56 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1bdffdeecfd7ce35dd65833d21a1c6343e32685f&h=libreoffice-5-0

tdf#76239 extract file version from ttf files

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 89 Commit Notification 2015-11-17 07:31:29 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8149383121704a598eb4f87755e118c65fa38e5d&h=libreoffice-4-4

tdf#76239 extract file version from ttf files

It will be available in 4.4.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 90 Maxim Monastirsky 2015-11-18 10:52:09 UTC
*** Bug 95901 has been marked as a duplicate of this bug. ***
Comment 91 Maxim Monastirsky 2015-11-19 09:52:30 UTC
*** Bug 95925 has been marked as a duplicate of this bug. ***
Comment 92 tommy27 2015-11-22 09:35:27 UTC
this old MAB deserves 4.4.7 backport
thanks Andras for the fix!!!
Comment 93 Commit Notification 2015-11-24 15:30:54 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-4-4-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df4afab6fcf653ee71762891b0bf287813726e45&h=libreoffice-4-4-7

tdf#76239 extract file version from ttf files

It will be available in 4.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 94 Julien Nabet 2015-11-24 15:41:54 UTC
Simplify a bit "targets" field.
Comment 95 Maxim Monastirsky 2015-12-02 23:10:39 UTC
*** Bug 96217 has been marked as a duplicate of this bug. ***
Comment 96 Jacques Guilleron 2015-12-12 14:10:47 UTC
*** Bug 96428 has been marked as a duplicate of this bug. ***
Comment 97 Maxim Monastirsky 2015-12-30 16:11:31 UTC
*** Bug 96827 has been marked as a duplicate of this bug. ***
Comment 98 V Stuart Foote 2016-04-09 20:11:16 UTC
*** Bug 99152 has been marked as a duplicate of this bug. ***
Comment 99 Buovjaga 2016-05-13 14:42:57 UTC
*** Bug 99748 has been marked as a duplicate of this bug. ***
Comment 100 zian rizky 2018-11-25 07:41:24 UTC Comment hidden (spam)